Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.ejb
Interface PreparedQuery

All Superinterfaces:
  QueryProperties

    public interface PreparedQuery

extends QueryProperties

Field Summary

Fields inherited from interface weblogic.ejb.QueryProperties
`TX_MANDATORY, TX_REQUIRED, TX_REQUIRES_NEW`

Method Summary
`ResultSet` | `execute()` Executes the specified query.
`Collection` | `find()` Executes the specified query.
`String` | `getEjbql()`
`void` | `setBigDecimal(int index, BigDecimal value)`
`void` | `setBigInteger(int index, BigInteger value)`
`void` | `setBinary(int index, byte[] value)`
`void` | `setBoolean(int index, boolean value)`
`void` | `setByte(int index, byte value)`
`void` | `setCalender(int index, Calendar value)`
`void` | `setCharacter(int index, char value)`
`void` | `setDate(int index, Date value)`
`void` | `setDate(int index, Date value)`
`void` | `setDouble(int index, double value)`
`void` | `setFloat(int index, float value)`
`void` | `setInt(int index, int value)`
`void` | `setLong(int index, long value)`
`void` | `setObject(int index, Object value)`
`void` | `setShort(int index, short value)`
`void` | `setString(int index, String value)`
`void` | `setTime(int index, Date value)`
`void` | `setTime(int index, Time value)`
`void` | `setTimestamp(int index, Date value)`
`void` | `setTimestamp(int index, Timestamp value)`

Methods inherited from interface weblogic.ejb.QueryProperties
`getEnableQueryCaching, getIncludeUpdates, getMaxElements, getTransaction, isResultTypeRemote, setEnableQueryCaching, setIncludeUpdates, setMaxElements, setResultTypeRemote, setTransaction`

Method Detail

### find

    Collection find()
                    throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### execute

    ResultSet execute()
                      throws FinderException

  Executes the specified query.

  Throws:
    `FinderException`

### getEjbql

    String getEjbql()

### setString

    void setString(int index,
                   String value)

### setBigDecimal

    void setBigDecimal(int index,
                       BigDecimal value)

### setBigInteger

    void setBigInteger(int index,
                       BigInteger value)

### setBinary

    void setBinary(int index,
                   byte[] value)

### setBoolean

    void setBoolean(int index,
                    boolean value)

### setByte

    void setByte(int index,
                 byte value)

### setCharacter

    void setCharacter(int index,
                      char value)

### setShort

    void setShort(int index,
                  short value)

### setInt

    void setInt(int index,
                int value)

### setLong

    void setLong(int index,
                 long value)

### setFloat

    void setFloat(int index,
                  float value)

### setDouble

    void setDouble(int index,
                   double value)

### setDate

    void setDate(int index,
                 Date value)

### setDate

    void setDate(int index,
                 Date value)

### setTime

    void setTime(int index,
                 Time value)

### setTime

    void setTime(int index,
                 Date value)

### setTimestamp

    void setTimestamp(int index,
                      Timestamp value)

### setTimestamp

    void setTimestamp(int index,
                      Date value)

### setCalender

    void setCalender(int index,
                     Calendar value)

### setObject

    void setObject(int index,
                   Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD